### Method

# WebKit2 Settings get_media_content_types_requiring_hardware_support

since: 2.30

#### Declaration [src]

    const gchar*
    webkit_settings_get_media_content_types_requiring_hardware_support (
      WebKitSettings* settings
    )

#### Description [src]

Gets the `WebKitSettings:media-content-types-requiring-hardware-support` property.

Available since: 2.30

Gets property | `WebKit2.Settings:media-content-types-requiring-hardware-support`

#### Return value

Type: `const gchar*`

Media content types requiring hardware support, or `NULL`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.